Bug 2548 - Excel fails to open shared workbooks from Samba share
Excel fails to open shared workbooks from Samba share
Status: RESOLVED WORKSFORME
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.13
x86 FreeBSD
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 22:18 UTC by Alex Deiter
Modified: 2007-06-04 11:08 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Deiter 2005-03-24 22:18:31 UTC
Two users cannot open shared Excel workbooks in same time, second user got
error: "File blocked. For save changes close it .....". (Excel 2000 on Windows
XP SP2)

log level = 10 :

  change_to_user: Skipping user change - already user
[2005/03/24 23:08:09, 3] smbd/trans2.c:call_trans2setfilepathinfo(3267)
  call_trans2setfilepathinfo(8) xyz-123-test.xls (fnum 11787) info_level=1004
totdata=40
[2005/03/24 23:08:09, 8] smbd/dosmode.c:dos_mode(283)
  dos_mode: xyz-123-test.xls
[2005/03/24 23:08:09, 8] smbd/dosmode.c:dos_mode_from_sbuf(151)
  dos_mode_from_sbuf returning a
[2005/03/24 23:08:09, 8] smbd/dosmode.c:dos_mode(315)
  dos_mode returning a
[2005/03/24 23:08:09, 6] smbd/trans2.c:call_trans2setfilepathinfo(3848)
  actime: Thu Mar 24 23:08:09 2005
   modtime: Thu Mar 24 23:08:09 2005
   size: 22528 dosmode: 0
[2005/03/24 23:08:09, 10] smbd/trans2.c:call_trans2setfilepathinfo(3947)
  call_trans2setfilepathinfo: setting pending modtime to Thu Mar 24 23:08:09 2005

[2005/03/24 23:08:09, 10] smbd/trans2.c:call_trans2setfilepathinfo(3952)
  call_trans2setfilepathinfo: setting utimes to modified values.
[2005/03/24 23:08:09, 3] smbd/error.c:error_packet(105)
  error string = Operation not permitted
[2005/03/24 23:08:09, 3] smbd/error.c:error_packet(129)
  error packet at smbd/trans2.c(3955) cmd=50 (SMBtrans2) NT_STATUS_ACCESS_DENIED
[2005/03/24 23:08:09, 5] lib/util.c:show_msg(464)

Thanks a lot!
Comment 1 Jeremy Allison 2005-03-25 12:06:28 UTC
Have you set "dos filetimes = yes" ? You need this to allow Excel to change a
timestamp on a file it doesn't own.
Jeremy.
Comment 2 Alex Deiter 2005-03-25 22:34:46 UTC
Thanks! "dos filetimes = yes" resolve my problem.
Comment 3 Timur Bakeyev 2007-06-03 17:29:12 UTC
I guess, this ticket can be closed
Comment 4 Gerald (Jerry) Carter 2007-06-04 11:08:19 UTC
Closed.